[tool.poetry]
name = "credo"
version = "0.1.0"
description = ""
authors = ["BMawdsley <benjamin.mawdsley@stfc.ac.uk>"]
packages = [{ include = "credo_bn"},]

[tool.poetry.dependencies]
python = "^3.9"
pgmpy = "^0.1.16"

[tool.poetry.dev-dependencies]
networkx = "^2.6.3"
pytest = "^5.2"
jupyterlab = "^3.2.5"
ipykernel = "^6.6.0"
ipywidgets = "^7.6.5"
pre-commit = "^2.16.0"
matplotlib = "^3.5.1"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
